For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomeGuidesAPI ReferenceChangelog
HomeGuidesAPI ReferenceChangelog
  • Quotes API
  • Products API
      • GETConfiguration by ID
      • GETConfiguration by Code
      • GETConfiguration by ID and date
      • GETBenefits
      • GETOptions
  • Policies API
  • Card Token API
  • Users API
LogoLogo
Products APIPlan

Options

GET
https://api-staging.nibtravelinsurance.com/products/v1/:brandCode/plans/:planId/options
GET
/products/v1/:brandCode/plans/:planId/options
$curl https://api-staging.nibtravelinsurance.com/products/v1/nibau/plans/1000000/options \
> -H "Authorization: Bearer <token>"
200World Nomads - plan 280 (abbreviated)
1{
2 "expirySeconds": 86400,
3 "planId": 280,
4 "adventureActivitiesOption": {
5 "optionId": 113,
6 "optionType": "ADVENTUREACTIVITY",
7 "name": "Adventure Activities",
8 "effectiveFromDate": "1970-01-01T00:00:00Z",
9 "effectiveToDate": "1970-01-01T00:00:00Z",
10 "displayOrder": 20,
11 "adventureActivities": [
12 {
13 "adventureActivityId": 14695,
14 "name": "Abseiling",
15 "riskLevel": 3,
16 "hasCover": true
17 },
18 {
19 "adventureActivityId": 14739,
20 "name": "Acrobatics",
21 "riskLevel": 1,
22 "hasCover": true
23 }
24 ],
25 "availableTranslations": {
26 "key": "value"
27 }
28 },
29 "basicOptions": [
30 {
31 "optionId": 1000000,
32 "optionType": "optionType",
33 "name": "name",
34 "effectiveFromDate": "effectiveFromDate",
35 "effectiveToDate": "effectiveToDate",
36 "displayOrder": 1,
37 "optInValues": [
38 {}
39 ]
40 }
41 ],
42 "specifiedItemsOption": {
43 "optionId": 114,
44 "optionType": "SPECITEMS",
45 "name": "High Value Items - Standard",
46 "effectiveFromDate": "1970-01-01T00:00:00Z",
47 "effectiveToDate": "1970-01-01T00:00:00Z",
48 "displayOrder": 10,
49 "maxSpecifiedItems": 20,
50 "itemMaxValue": 1.1,
51 "totalMaxValuePerPolicy": 12000,
52 "totalMaxValuePerPolicyHolder": 6000,
53 "appliesToDependents": false,
54 "specifiedItemTypes": [
55 {
56 "specifiedItemTypeId": 142,
57 "specifiedItemTypeCode": "Sports",
58 "name": "Sports Gear",
59 "itemMaxValue": 3000,
60 "infoText": "You may specify a single item or related set of items (e.g skis + bindings = 1 item)\r\nNo cover for bicycles, bicycle accessories; any equipment over three years old; watercraft (unless it’s a surfboard); firearms; commercial items or business equipment.\r\nA $100 excess applies per event."
61 },
62 {
63 "specifiedItemTypeId": 143,
64 "specifiedItemTypeCode": "Tech",
65 "name": "Tech & Cameras",
66 "itemMaxValue": 3000,
67 "infoText": "You may specify a single item or related set of items (e.g Camera + lenses + camera accessories = 1 item)\r\nNo cover for commercial items or business equipment.\r\nA $100 excess applies per event."
68 },
69 {
70 "specifiedItemTypeId": 144,
71 "specifiedItemTypeCode": "Personal",
72 "name": "Personal Items",
73 "itemMaxValue": 3000,
74 "infoText": "You may specify a single item or related set of items (e.g pair of shoes = 1 item)\r\nNote: Jewellery cannot be specified.\r\nNo cover for glasses, sunglasses, contact lenses, musical instruments, dentures, hearing aids, prostheses, antiques, loose precious stones, animals, perishables, commercial items or business equipment.\r\nA $100 excess applies per event."
75 }
76 ],
77 "availableTranslations": {
78 "key": "value"
79 }
80 },
81 "cancellationOption": {
82 "optionId": 1000000,
83 "optionType": "optionType",
84 "name": "name",
85 "effectiveFromDate": "effectiveFromDate",
86 "effectiveToDate": "effectiveToDate",
87 "displayOrder": 1,
88 "preCoverCancellationCoverLimitPerPolicyHolder": 1.1,
89 "preCoverCancellationCoverLimitPerPolicy": 1.1,
90 "maxTripValuePerTraveller": 1.1,
91 "cancellationCoverLimits": [
92 {}
93 ]
94 }
95}
Returns the available Options for a plan
Was this page helpful?
Previous

Regulatory document by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

brandCodeenumRequired
Brand code
Allowed values:
planIdlongRequiredDefaults to 0

Query parameters

langstringOptional

Response

Success
expirySecondsinteger
planIdlongDefaults to 0
adventureActivitiesOptionobject
basicOptionslist of objects
specifiedItemsOptionobject
cancellationOptionobject